%define major 2
%define libname %mklibname nasl %{major}
%define libnamedev %mklibname nasl -d

Summary:	Scripting language designed for the Nessus security scanner
Name:		libnasl
Version:	2.2.10
Release:	%mkrel 2
License:	GPL
Group:		System/Libraries
URL:		http://www.nessus.org
#http://cgi.tenablesecurity.com/nessus3dl.php?file=libnasl-2.2.10.tar.gz&licence_accept=yes&t=5a144975306462c6d49d299ba1d6c0b2
Source0:	libnasl-%{version}.tar.gz
Patch0:		libnasl-2.2.3-pem.patch
Patch1:		libnasl-2.2.7-nasl-config.diff
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	openssl-devel
BuildRequires:	libnessus-devel = %{version}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
NASL is a scripting language designed for the Nessus security scanner.
Its aim is to allow anyone to write a test for a given security hole
in a few minutes, to allow people to share their tests without having
to worry about their operating system, and to garantee everyone that a
NASL script can not do anything nasty except performing a given
security test against a given target.  Thus, NASL allows you to easily
forge IP packets, or to send regular packets. It provides you some
convenient functions that will make the test of web and ftp server
more easy to write. NASL garantees you that a NASL script:
    * will not send any packet to a host other than the target host
    * will not execute any commands on your local system 

%package -n 	%{libname}
Summary:	Nasl - Nessus Attack Scripting Language
Group:		System/Libraries
Provides:	nessus-libs
Obsoletes:	nessus-libs

%description -n	%{libname}
Nasl - Nessus Attack Scripting Language.
These libraries are needed by nessus.

%package -n	%{libnamedev}
Summary:	Development libraries and headers for Nasl
Group:		System/Libraries
Requires:	%{libname} = %{version}
Provides:	libnasl-devel = %{version}
Obsoletes:	%{mklibname nasl 2 -d}

%description -n	%{libnamedev}
Development libraries and headers for Nasl.

%prep

%setup -q -n %{name}
%patch0 -p1 -b .pem
%patch1 -p0

# lib64 fix
perl -pi -e "s|/lib\b|/%{_lib}|g" configure* aclocal.m4

%build
%define __libtoolize /bin/true

%configure
# 2.0.6: parallel make is broken
make

%install
if [ -d %{buildroot} ]; then rm -rf %{buildroot}; fi
%makeinstall
perl -pi -e 's|^PREFIX=.*|PREFIX='%{buildroot}%{_prefix}'|' %{buildroot}%{_bindir}/nasl-config

# remove unwanted files
rm -rf	%{buildroot}%{_libdir}/%{name}/plugins_factory
rm -rf  %{buildroot}%{_localstatedir}/nessus/nessus_org.pem

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
if [ -d %{buildroot} ]; then rm -rf %{buildroot}; fi

%files -n %{libname}
%defattr(0644,root,root,755)
%attr(0755,root,root) %{_libdir}/*.so.*

%files -n %{libnamedev}
%defattr(0644,root,root,755)
%{_includedir}/nessus/*
%{_libdir}/*.so
%{_libdir}/*.*a
%attr(0755,root,root) %{_bindir}/nasl-config
%attr(0755,root,root) %{_bindir}/nasl
%{_mandir}/man1/*


%changelog
* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 2.2.10-2mdv2008.1
+ Revision: 170951
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.10-1mdv2008.0
+ Revision: 81674
- Import libnasl



* Fri Sep 07 2007 Oden Eriksson <oeriksson@mandriva.com> 2.2.10-1mdv2008.0
- 2.2.10

* Sun Aug 13 2006 Emmanuel Andry <eandry@mandriva.org> 2.2.8-1mdv2007.0
- 2.2.8

* Thu Mar 09 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.7-2mdk
- disable libtoolize

* Thu Mar 09 2006 Oden Eriksson <oeriksson@mandriva.com> 2.2.7-1mdk
- 2.2.7
- added P1 to fix the nasl-config script
- lib64 fixes

* Fri Jan 13 2006 Marcel Pol <mpol@mandriva.org> 2.2.6-1mdk
- 2.2.6

* Thu May 05 2005 Marcel Pol <mpol@mandriva.org> 2.2.4-1mdk
- 2.2.4

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 2.2.3-3mdk
- fix location of nessus_org.pem to sysconfdir

* Mon Mar 07 2005 Marcel Pol <mpol@mandrake.org> 2.2.3-2mdk
- nessus_org.pem moved to nessus package

* Fri Feb 11 2005 Lenny Cartier <lenny@mandrakesoft.com> 2.2.3-1mdk
- 2.2.3

* Mon Jan 10 2005 Stefan van der Eijk <stefan@mandrake.org> 2.2.2a-2mdk
- add /var/lib/nessus/nessus/nessus_org.pem, perhaps put it in a seperate
  package later

* Thu Jan  6 2005 Stefan van der Eijk <stefan@mandrake.org> 2.2.2a-1mdk
- New release 2.2.2a
- remove unpackaged file /var/lib/nessus/nessus_org.pem

* Wed Aug 18 2004 Michael Scherer <misc@mandrake.org> 2.0.12-1mdk
- New release 2.0.12
- rpmbuildupdate aware

* Sat Feb 21 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 2.0.10a-1mdk
- Release: 2.0.10a.

* Thu Nov 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.9-2mdk
- fix changelog

* Thu Nov 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.0.9-1mdk
- 2.0.9
- use mklibname for devel

* Tue Jul 22 2003 Marcel Pol <mpol@gmx.net> 2.0.7-1mdk
- 2.0.7
- split libnasl from main package
- commented out stuff that doesn't seem necessary

* Wed Dec 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.7-1mdk
- 1.2.7

* Tue Oct  8 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.6-1mdk
- 1.2.6
- removed README_LINUX (doesn't exist anymore)

* Wed Sep 11 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.2.5-3mdk
- Requires nessus-plugins

* Wed Sep 11 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.2.5-2mdk
- 1.2.5

* Tue Sep 10 2002 Arnaud Desmons <adesmons@mandrakesoft.com> 1.2.5-1mdk
- 1.2.5

* Thu Jul 25 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.2.3-1mdk
- 1.2.3

* Tue Jun 18 2002 Stefan van der Eijk <stefan@eijk.nu> 1.2.0-2mdk
- BuildRequires

* Fri Apr 19 2002  Lenny Cartier <lenny@mandrakesoft.com> 1.2.0-1mdk
- 1.2.0

* Thu Feb 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.13-1mdk
- 1.1.13
- xpm2png

* Tue Jan 22 2002 Laurent Culioli <laurent@mandrakesoft.com> 1.1.11-1mdk
- 1.1.11

* Sat Jan 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.1.9-3mdk
- rebuild

* Thu Nov 22 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.1.9-2mdk
- Make rpmlint a little happier

* Wed Nov 21 2001 Alexander Skwar <ASkwar@Linux-Mandrake.com> 1.1.9-1mdk
- 1.1.9
- Actually really set localstatedir to /var/lib instead of to /var/log

* Thu Nov  8 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.1.8-1mdk
- 1.1.8
- call nessus-mkcert at install if certs do not exist
- patch nessus-mkcert to use more sensible locations to store certs/keys (P1)
- make localstatedir /var/lib and not /var/log (???) so that user accounts
  and info go into /var/lib/users and not /var/log/users

* Wed Nov  7 2001 Frederic Lepied <flepied@mandrakesoft.com> 1.1.6-2mdk
- don't use sub shell in %%build
- use %%make
- use service macros
- added the missing nessus-mkcert, nessus-rmuser and nessus-update-plugins
- add a dependency on tar, gzip and lynx for nessus-update-plugins

* Wed Oct 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.6-1mdk
- 1.1.6

* Mon Sep 17 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.1.4-1mdk
- added by Oden Eriksson <oden.eriksson@kvikkjokk.net> :
	- updated to 1.1.4

* Tue Aug 21 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.9-1mdk
- updated to 1.0.9

* Wed Jun  6 2001 Laurent Culioli <laurent@mandrakesoft.com> 1.0.8-1mdk
- updated to 1.0.8

* Wed Mar 07 2001  Lenny Cartier <lenny@mandrakesoft.com> 1.0.7a-1mdk
- upgraded to 1.0.7a

* Tue Jan 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.7-1mdk
- used srpm from Guillaume Rousse <g.rousse@mandrake-linux.com> :
	- updated to 1.0.7

* Mon Nov 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.0.5-1mdk
- used srpm from Alexander Skwar <ASkwar@Linux-Mandrake.com> :
	New version
	Added menu for the client with icons
	Quiet the unpacking of the files

* Wed Jul 26 2000 John Johnson <jjohnson@linux-mandrake.com> 1.0.3-1mdk
- Fixed an error in my spec file that caused the nessusd script in
  /etc/rc.d/init.d to not work properly.

* Wed Jul 12 2000 John Johnsin <jjohnson@linux-mandrake.com> 1.0.3-1mdk
- Updated rpm for version 1.0.3 
- made a few small changes to spec file

* Sat Jun 10 2000 John Johnson <jjohnson@linux-mandrake.com> 1.0.1-1mdk
- updated sources to the new version.

* Mon May 29 2000 Vincent Danen <vdanen@linux-mandrake.com> 1.0.0-2mdk
- bzip sources
- fix group
- various specfile cleanups
- made unrelocatable
- added call to ldconfig in post and postun

* Thu May 18 2000 John Johnson <jjohnson@linux-mandrake.com>
- Made Mandrake rpm
